---
editUrl: false
next: false
prev: false
title: "makeDependencies"
---

> **makeDependencies**\<`T`\>(`conf`): `Promise`\<\<`V`\>(...`keys`) => `IntoDependencies`\<`V`\>\>

## Type parameters

• **T** *extends* `Dependencies`

## Parameters

• **conf**: `ValidDependencyConfig`

## Returns

`Promise`\<\<`V`\>(...`keys`) => `IntoDependencies`\<`V`\>\>

## Source

[src/core/ioc/base.ts:144](https://github.com/sern-handler/handler/blob/a19edaf8838dcf088d3947f4a6aa6213d8f5bb9e/src/core/ioc/base.ts#L144)
